<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="test-thing">
  <template>
    <template is="dom-if" if="{{title}}" restamp>
      <b>[[title]]</b>
    </template>
    <template is="dom-if" if="{{!title}}" restamp>
      <i>no title</i>
    </template>
  </template>

  <script>
    /**
     * `test-thing`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class TestThing extends Polymer.Element {
      static get is() { return 'test-thing'; }
      static get properties() {
        return {
          title: {
            type: String,
            value: ''
          }
        };
      }
    }

    window.customElements.define(TestThing.is, TestThing);
  </script>
</dom-module>
